Index: src/gtools/CMakeLists.txt
===================================================================
--- src/gtools/CMakeLists.txt	(revision 54114)
+++ src/gtools/CMakeLists.txt	(working copy)
@@ -7,7 +7,7 @@
   ${PKG_INCLUDE_DIRS}
   ${BRLCAD_SOURCE_DIR}/src/gtools/beset
   )
-LIST(REMOVE_DUPLICATES GTOOLS_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES GTOOLS_INCLUDE_DIRS)
 include_directories(${GTOOLS_INCLUDE_DIRS})
 
 set(beset_SRCS
@@ -16,23 +16,23 @@
   beset/population.c
   )
 
-BRLCAD_ADDEXEC(beset "${beset_SRCS}"  "libbu;librt;libwdb" NO_INSTALL)
+brlcad_addexec(beset "${beset_SRCS}"  "libbu;librt;libwdb" NO_INSTALL)
 
-BRLCAD_ADDEXEC(g_diff g_diff.c "libtclcad;librt")
-BRLCAD_ADDEXEC(g_lint g_lint.c "librt;${M_LIBRARY}")
-BRLCAD_ADDEXEC(g_qa g_qa.c "libged;librt")
-BRLCAD_ADDEXEC(remapid remapid.c "librt;libbu")
+brlcad_addexec(g_diff g_diff.c "libtclcad;librt")
+brlcad_addexec(g_lint g_lint.c "librt;${M_LIBRARY}")
+brlcad_addexec(g_qa g_qa.c "libged;librt")
+brlcad_addexec(remapid remapid.c "librt;libbu")
 
-BRLCAD_ADDEXEC(g_transfer g_transfer.c "librt;libpkg" NO_INSTALL)
-BRLCAD_ADDDATA(g_transfer.c sample_applications)
+brlcad_addexec(g_transfer g_transfer.c "librt;libpkg" NO_INSTALL)
+brlcad_adddata(g_transfer.c sample_applications)
 
 set(gtools_ignore_files
   beset/beset.h
   beset/fitness.h
   beset/population.h
   )
-CMAKEFILES(${gtools_ignore_files})
-CMAKEFILES(Makefile.am beset/Makefile.am)
+cmakefiles(${gtools_ignore_files})
+cmakefiles(Makefile.am beset/Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libicv/CMakeLists.txt
===================================================================
--- src/libicv/CMakeLists.txt	(revision 54114)
+++ src/libicv/CMakeLists.txt	(working copy)
@@ -5,16 +5,16 @@
   ${PNG_INCLUDE_DIR}
   ${ZLIB_INCLUDE_DIR}
   )
-BRLCAD_LIB_INCLUDE_DIRS(icv ICV_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(icv ICV_INCLUDE_DIRS "")
 
 set(LIBICV_SOURCES
   fileformat.c
   rot.c
   )
 
-BRLCAD_ADDLIB(libicv "${LIBICV_SOURCES}" "libbu;${PNG_LIBRARY}")
-SET_TARGET_PROPERTIES(libicv PROPERTIES VERSION 20.0.1 SOVERSION 20)
-CMAKEFILES(Makefile.am)
+brlcad_addlib(libicv "${LIBICV_SOURCES}" "libbu;${PNG_LIBRARY}")
+set_target_properties(libicv PROPERTIES VERSION 20.0.1 SOVERSION 20)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/libpkg/example/CMakeLists.txt
===================================================================
--- src/libpkg/example/CMakeLists.txt	(revision 54114)
+++ src/libpkg/example/CMakeLists.txt	(working copy)
@@ -4,13 +4,13 @@
   ${BU_INCLUDE_DIRS}
   ${PKG_INCLUDE_DIRS}
   )
-LIST(REMOVE_DUPLICATES PKG_EXAMPLE_INCLUDES)
+list(REMOVE_DUPLICATES PKG_EXAMPLE_INCLUDES)
 include_directories(${PKG_EXAMPLE_INCLUDES})
 
-BRLCAD_ADDEXEC(pkg_test_server server.c "libbu;libpkg" NO_INSTALL)
-BRLCAD_ADDEXEC(pkg_test_client client.c "libbu;libpkg" NO_INSTALL)
+brlcad_addexec(pkg_test_server server.c "libbu;libpkg" NO_INSTALL)
+brlcad_addexec(pkg_test_client client.c "libbu;libpkg" NO_INSTALL)
 
-CMAKEFILES(ntp.h)
+cmakefiles(ntp.h)
 
 # Local Variables:
 # tab-width: 8
Index: src/libpkg/CMakeLists.txt
===================================================================
--- src/libpkg/CMakeLists.txt	(revision 54114)
+++ src/libpkg/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
   ${BRLCAD_SOURCE_DIR}/include
   ${BU_INCLUDE_DIRS}
   )
-BRLCAD_LIB_INCLUDE_DIRS(pkg PKG_INCLUDE_DIRS "")
+brlcad_lib_include_dirs(pkg PKG_INCLUDE_DIRS "")
 
 set(LIBPKG_SOURCES
   pkg.c
@@ -12,12 +12,12 @@
   vers.c
   )
 
-BRLCAD_ADDDATA(tpkg.c sample_applications)
-BRLCAD_ADDEXEC(tpkg tpkg.c "libbu;libpkg" NO_INSTALL)
+brlcad_adddata(tpkg.c sample_applications)
+brlcad_addexec(tpkg tpkg.c "libbu;libpkg" NO_INSTALL)
 
-BRLCAD_ADDLIB(libpkg "${LIBPKG_SOURCES}" libbu)
-SET_TARGET_PROPERTIES(libpkg PROPERTIES VERSION 20.0.1 SOVERSION 20)
-CMAKEFILES(Makefile.am)
+brlcad_addlib(libpkg "${LIBPKG_SOURCES}" libbu)
+set_target_properties(libpkg PROPERTIES VERSION 20.0.1 SOVERSION 20)
+cmakefiles(Makefile.am)
 
 add_subdirectory(example)
 
Index: src/brlman/CMakeLists.txt
===================================================================
--- src/brlman/CMakeLists.txt	(revision 54114)
+++ src/brlman/CMakeLists.txt	(working copy)
@@ -18,9 +18,9 @@
       DESTINATION ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}
       FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
       GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-    DISTCLEAN(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman)
-    DISTCLEAN(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman.tcl)
-    DISTCLEAN(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman.bat)
+    distclean(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman)
+    distclean(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman.tcl)
+    distclean(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${BIN_DIR}/brlman.bat)
   endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 else(CMAKE_CONFIGURATION_TYPES)
   set(BTCLSH_BIN_DIR "${CMAKE_BINARY_DIR}/${BIN_DIR}")
@@ -40,9 +40,9 @@
     DESTINATION ${CMAKE_BINARY_DIR}/${BIN_DIR}
     FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ
     GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman.bat)
+  distclean(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman)
+  distclean(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman.tcl)
+  distclean(${CMAKE_BINARY_DIR}/${BIN_DIR}/brlman.bat)
 endif(CMAKE_CONFIGURATION_TYPES)
 
 set(BTCLSH_BIN_DIR "${CMAKE_INSTALL_PREFIX}/${BIN_DIR}")
@@ -51,7 +51,7 @@
 configure_file(brlman.tcl.in ${CMAKE_BINARY_DIR}/src/brlman/brlman.tcl @ONLY)
 install(PROGRAMS ${CMAKE_BINARY_DIR}/src/brlman/brlman.tcl DESTINATION ${BIN_DIR})
 
-CMAKEFILES(brlman.tcl.in brlman.sh.in brlman.bat)
+cmakefiles(brlman.tcl.in brlman.sh.in brlman.bat)
 
 # Local Variables:
 # tab-width: 8
Index: src/mged/points/CMakeLists.txt
===================================================================
--- src/mged/points/CMakeLists.txt	(revision 54114)
+++ src/mged/points/CMakeLists.txt	(working copy)
@@ -11,11 +11,11 @@
   ${TCL_INCLUDE_DIRS}
   )
 
-YACC_TARGET(MGEDPointsParser points_parse.y
+yacc_target(MGEDPointsParser points_parse.y
   ${CMAKE_CURRENT_BINARY_DIR}/points_parse.c)
-LEX_TARGET(MGEDPointsScanner points_scan.l
+lex_target(MGEDPointsScanner points_scan.l
   ${CMAKE_CURRENT_BINARY_DIR}/points_scan.c COMPILE_FLAGS "-l")
-ADD_LEX_YACC_DEPENDENCY(MGEDPointsScanner MGEDPointsParser)
+add_lex_yacc_dependency(MGEDPointsScanner MGEDPointsParser)
 
 set(MGED_POINTS_SRCS
   ${CMAKE_CURRENT_BINARY_DIR}/points_parse.c
@@ -25,16 +25,16 @@
   main.c
   )
 
-BRLCAD_ADDLIB(libpoints "${MGED_POINTS_SRCS}" libbu)
-SET_TARGET_PROPERTIES(libpoints PROPERTIES COMPILE_DEFINITIONS "ENABLE_POINTS")
+brlcad_addlib(libpoints "${MGED_POINTS_SRCS}" libbu)
+set_target_properties(libpoints PROPERTIES COMPILE_DEFINITIONS "ENABLE_POINTS")
 set(mged_points_ignore_files
   count.h
   points_parse.y
   points_scan.l
   process.h
   )
-CMAKEFILES(${mged_points_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${mged_points_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/mged/CMakeLists.txt
===================================================================
--- src/mged/CMakeLists.txt	(revision 54114)
+++ src/mged/CMakeLists.txt	(working copy)
@@ -7,7 +7,7 @@
   ${TERMIO_INCLUDE_DIRS}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
-LIST(REMOVE_DUPLICATES MGED_INCLUDE_DIRS)
+list(REMOVE_DUPLICATES MGED_INCLUDE_DIRS)
 include_directories(${MGED_INCLUDE_DIRS})
 
 # Until we figure out how to properly use package require,
@@ -23,7 +23,7 @@
   add_subdirectory(points)
   set(MGED_EXTRA_LIBS libpoints)
 else(LEX_EXECUTABLE AND YACC_EXECUTABLE)
-  CMAKEFILES(points)
+  cmakefiles(points)
 endif(LEX_EXECUTABLE AND YACC_EXECUTABLE)
 
 
@@ -116,32 +116,32 @@
   )
 
 if(NOT WIN32)
-  BRLCAD_ADDEXEC(mged "${MGED_SOURCES}" "libtclcad;libged;libwdb;libdm;libtermio;${MGED_EXTRA_LIBS};${ITCL_LIBRARY};${ITK_LIBRARY}")
+  brlcad_addexec(mged "${MGED_SOURCES}" "libtclcad;libged;libwdb;libdm;libtermio;${MGED_EXTRA_LIBS};${ITCL_LIBRARY};${ITK_LIBRARY}")
 else(NOT WIN32)
-  BRLCAD_ADDEXEC(mged "${MGED_SOURCES}" "libtclcad;libged;libwdb;libdm;${ITCL_LIBRARY};${ITK_LIBRARY};ws2_32.lib;opengl32.lib")
+  brlcad_addexec(mged "${MGED_SOURCES}" "libtclcad;libged;libwdb;libdm;${ITCL_LIBRARY};${ITK_LIBRARY};ws2_32.lib;opengl32.lib")
 endif(NOT WIN32)
 if(${ITCL_LIBRARY} MATCHES "itcl")
-  ADD_DEPENDENCIES(mged itcl)
+  add_dependencies(mged itcl)
 endif(${ITCL_LIBRARY} MATCHES "itcl")
 if(${ITK_LIBRARY} MATCHES "itk")
-  ADD_DEPENDENCIES(mged itk)
+  add_dependencies(mged itk)
 endif(${ITK_LIBRARY} MATCHES "itk")
 if(LEX_EXECUTABLE AND YACC_EXECUTABLE)
-  SET_TARGET_PROPERTIES(mged PROPERTIES COMPILE_FLAGS "-DBC_WITH_PARSER")
+  set_target_properties(mged PROPERTIES COMPILE_FLAGS "-DBC_WITH_PARSER")
 endif(LEX_EXECUTABLE AND YACC_EXECUTABLE)
 
 # mged depends on the creation/installation of all the
 # tclscripts.
 foreach(item ${pkgIndex_target_list})
-  ADD_DEPENDENCIES(mged ${item})
+  add_dependencies(mged ${item})
 endforeach(item ${pkgIndex_target_list})
 foreach(item ${tclIndex_target_list})
-  ADD_DEPENDENCIES(mged ${item})
+  add_dependencies(mged ${item})
 endforeach(item ${tclIndex_target_list})
 
-BRLCAD_ADDEXEC(cad_boundp cad_boundp.c "libbu;${M_LIBRARY}")
+brlcad_addexec(cad_boundp cad_boundp.c "libbu;${M_LIBRARY}")
 
-BRLCAD_ADDEXEC(cad_parea cad_parea.c libbu)
+brlcad_addexec(cad_parea cad_parea.c libbu)
 
 if(CMAKE_CONFIGURATION_TYPES)
    foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
@@ -176,8 +176,8 @@
   sedit.h
   titles.h
   )
-CMAKEFILES(${mged_ignore_files})
-CMAKEFILES(Makefile.am)
+cmakefiles(${mged_ignore_files})
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/librt/CMakeLists.txt
===================================================================
--- src/librt/CMakeLists.txt	(revision 54114)
+++ src/librt/CMakeLists.txt	(working copy)
@@ -15,7 +15,7 @@
   ${TNT_INCLUDE_DIR}
   )
 
-BRLCAD_LIB_INCLUDE_DIRS(rt RT_INCLUDE_DIRS RT_LOCAL_INCLUDE_DIRS)
+brlcad_lib_include_dirs(rt RT_INCLUDE_DIRS RT_LOCAL_INCLUDE_DIRS)
 
 set(LIBRT_SOURCES
   attributes.c
@@ -273,10 +273,10 @@
   timerunix.c
   uvpoints.cpp
   )
-CMAKEFILES(${librt_ignored_files})
+cmakefiles(${librt_ignored_files})
 
-BRLCAD_ADDDATA(nurb_example.c sample_applications)
-BRLCAD_ADDDATA(raydebug.tcl sample_applications)
+brlcad_adddata(nurb_example.c sample_applications)
+brlcad_adddata(raydebug.tcl sample_applications)
 
 if(MSVC)
   set(LIBRT_SOURCES ${LIBRT_SOURCES} timer-nt.c)
@@ -284,22 +284,22 @@
   set(LIBRT_SOURCES ${LIBRT_SOURCES} timer42.c)
 endif(MSVC)
 
-BRLCAD_ADDLIB(librt "${LIBRT_SOURCES}" "libbn;libbu;${OPENNURBS_LIBRARY};libnurbs;${REGEX_LIBRARY};${ZLIB_LIBRARY};${WINSOCK_LIB};${RPCRT_LIB};${STDCXX_LIBRARIES}" NOSTRICTCXX)
+brlcad_addlib(librt "${LIBRT_SOURCES}" "libbn;libbu;${OPENNURBS_LIBRARY};libnurbs;${REGEX_LIBRARY};${ZLIB_LIBRARY};${WINSOCK_LIB};${RPCRT_LIB};${STDCXX_LIBRARIES}" NOSTRICTCXX)
 if(BUILD_STATIC_LIBS)
-  SET_PROPERTY(TARGET librt-static APPEND PROPERTY COMPILE_DEFINITIONS "OBJ_BREP=1")
+  set_property(TARGET librt-static APPEND PROPERTY COMPILE_DEFINITIONS "OBJ_BREP=1")
 endif(BUILD_STATIC_LIBS)
 
-SET_TARGET_PROPERTIES(librt PROPERTIES VERSION 20.0.1 SOVERSION 20)
+set_target_properties(librt PROPERTIES VERSION 20.0.1 SOVERSION 20)
 if(CPP_DLL_DEFINES)
-  SET_PROPERTY(TARGET librt APPEND PROPERTY COMPILE_DEFINITIONS "TIE_DLL_EXPORTS")
-  SET_PROPERTY(TARGET librt APPEND PROPERTY COMPILE_DEFINITIONS "DB5_DLL_EXPORTS")
+  set_property(TARGET librt APPEND PROPERTY COMPILE_DEFINITIONS "TIE_DLL_EXPORTS")
+  set_property(TARGET librt APPEND PROPERTY COMPILE_DEFINITIONS "DB5_DLL_EXPORTS")
 
   if(BRLCAD_BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
-    SET_PROPERTY(TARGET librt-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
+    set_property(TARGET librt-static APPEND PROPERTY COMPILE_DEFINITIONS "ON_DLL_IMPORTS")
   endif(BRLCAD_BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY)
 endif(CPP_DLL_DEFINES)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 include_directories(
   ${CMAKE_SOURCE_DIR}/src/other/Eigen
@@ -310,8 +310,8 @@
 #BRLCAD_ADDEXEC(test_nurbsfit test_nurbsfit.cpp "librt;libwdb;libnurbs;libbu" NOSTRICT NO_INSTALL)
 #BRLCAD_ADDEXEC(test_subdivision test_subdivision.cpp "librt;libwdb;libnurbs;libbu" NOSTRICT NO_INSTALL)
 
-BRLCAD_ADDEXEC(test_dvec test_dvec.cpp "librt" NOSTRICT NO_INSTALL LOCAL)
-ADD_TEST(test_dvec test_dvec)
+brlcad_addexec(test_dvec test_dvec.cpp "librt" NOSTRICT NO_INSTALL LOCAL)
+add_test(test_dvec test_dvec)
 
 # Local Variables:
 # tab-width: 8
Index: src/CMakeLists.txt
===================================================================
--- src/CMakeLists.txt	(revision 54114)
+++ src/CMakeLists.txt	(working copy)
@@ -45,14 +45,14 @@
 if(NOT MSVC)
   set(LIBPC_DIR libpc)
 else(NOT MSVC)
-  CMAKEFILES(libpc)
+  cmakefiles(libpc)
 endif(NOT MSVC)
 
 # Only add librtserver if it's enabled
 if(BRLCAD_ENABLE_RTSERVER)
   set(LIBRTSERVER_DIR librtserver)
 else(BRLCAD_ENABLE_RTSERVER)
-  CMAKEFILES(librtserver)
+  cmakefiles(librtserver)
 endif(BRLCAD_ENABLE_RTSERVER)
 
 set(level_2_dirs
@@ -152,7 +152,7 @@
     if(${current_level} LESS ${BRLCAD_ENABLE_TARGETS} OR ${current_level} EQUAL ${BRLCAD_ENABLE_TARGETS} )
       add_subdirectory(${subdir})
     else(${current_level} LESS ${BRLCAD_ENABLE_TARGETS} OR ${current_level} EQUAL ${BRLCAD_ENABLE_TARGETS} )
-      CMAKEFILES(${subdir})
+      cmakefiles(${subdir})
     endif(${current_level} LESS ${BRLCAD_ENABLE_TARGETS} OR ${current_level} EQUAL ${BRLCAD_ENABLE_TARGETS} )
   endforeach(subdir ${level_${current_level}_dirs})
 endwhile(${current_level} LESS ${HIGHEST_TARGET_LEVEL})
@@ -174,8 +174,8 @@
 #  target_link_libraries(libbrlcad ${OPENNURBS_LIBRARY} ${TCL_LIBRARY})
 #endif(${HIGHEST_TARGET_LEVEL} GREATER 1)
 
-CMAKEFILES(README external)
-CMAKEFILES(Makefile.am)
+cmakefiles(README external)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
Index: src/other/re2c/CMake/FindLEMON.cmake
===================================================================
--- src/other/re2c/CMake/FindLEMON.cmake	(revision 54114)
+++ src/other/re2c/CMake/FindLEMON.cmake	(working copy)
@@ -88,7 +88,7 @@
   endif(lemon_path)
 endif(LEMON_EXECUTABLE AND NOT LEMON_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
+find_package_handle_standard_args(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
 mark_as_advanced(LEMON_TEMPLATE)
 
 #============================================================
Index: src/other/re2c/CMake/FindYACC.cmake
===================================================================
--- src/other/re2c/CMake/FindYACC.cmake	(revision 54114)
+++ src/other/re2c/CMake/FindYACC.cmake	(working copy)
@@ -65,19 +65,19 @@
 #=============================================================================
 
 
-FIND_PROGRAM(YACC_EXECUTABLE bison DOC "path to the yacc executable")
-IF(NOT YACC_EXECUTABLE)
-   FIND_PROGRAM(YACC_EXECUTABLE yacc DOC "path to the yacc executable")
-ENDIF(NOT YACC_EXECUTABLE)
-MARK_AS_ADVANCED(YACC_EXECUTABLE)
+find_program(YACC_EXECUTABLE bison DOC "path to the yacc executable")
+if(NOT YACC_EXECUTABLE)
+   find_program(YACC_EXECUTABLE yacc DOC "path to the yacc executable")
+endif(NOT YACC_EXECUTABLE)
+mark_as_advanced(YACC_EXECUTABLE)
 
-IF(YACC_EXECUTABLE)
+if(YACC_EXECUTABLE)
   # internal macro
-  MACRO(YACC_TARGET_option_verbose Name YaccOutput filename)
-    LIST(APPEND YACC_TARGET_cmdopt "--verbose")
-    GET_FILENAME_COMPONENT(YACC_TARGET_output_path "${YaccOutput}" PATH)
-    GET_FILENAME_COMPONENT(YACC_TARGET_output_name "${YaccOutput}" NAME_WE)
-    ADD_CUSTOM_COMMAND(OUTPUT ${filename}
+  macro(YACC_TARGET_option_verbose Name YaccOutput filename)
+    list(APPEND YACC_TARGET_cmdopt "--verbose")
+    get_filename_component(YACC_TARGET_output_path "${YaccOutput}" PATH)
+    get_filename_component(YACC_TARGET_output_name "${YaccOutput}" NAME_WE)
+    add_custom_command(OUTPUT ${filename}
       COMMAND ${CMAKE_COMMAND}
       ARGS -E copy
       "${YACC_TARGET_output_path}/${YACC_TARGET_output_name}.output"
@@ -86,58 +86,58 @@
       "${YACC_TARGET_output_path}/${YACC_TARGET_output_name}.output"
       COMMENT "[YACC][${Name}] Copying yacc verbose table to ${filename}"
       WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-    SET(YACC_${Name}_VERBOSE_FILE ${filename})
-    LIST(APPEND YACC_TARGET_extraoutputs
+    set(YACC_${Name}_VERBOSE_FILE ${filename})
+    list(APPEND YACC_TARGET_extraoutputs
       "${YACC_TARGET_output_path}/${YACC_TARGET_output_name}.output")
-  ENDMACRO(YACC_TARGET_option_verbose)
+  endmacro(YACC_TARGET_option_verbose)
 
   # internal macro
-  MACRO(YACC_TARGET_option_extraopts Options)
-    SET(YACC_TARGET_extraopts "${Options}")
-    SEPARATE_ARGUMENTS(YACC_TARGET_extraopts)
-    LIST(APPEND YACC_TARGET_cmdopt ${YACC_TARGET_extraopts})
-  ENDMACRO(YACC_TARGET_option_extraopts)
+  macro(YACC_TARGET_option_extraopts Options)
+    set(YACC_TARGET_extraopts "${Options}")
+    separate_arguments(YACC_TARGET_extraopts)
+    list(APPEND YACC_TARGET_cmdopt ${YACC_TARGET_extraopts})
+  endmacro(YACC_TARGET_option_extraopts)
 
   #============================================================
   # YACC_TARGET (public macro)
   #============================================================
   #
-  MACRO(YACC_TARGET Name YaccInput YaccOutput)
-    SET(YACC_TARGET_output_header "")
-    SET(YACC_TARGET_command_opt "")
-    SET(YACC_TARGET_outputs "${YaccOutput}")
-    IF(NOT ${ARGC} EQUAL 3 AND NOT ${ARGC} EQUAL 5 AND NOT ${ARGC} EQUAL 7)
-      MESSAGE(SEND_ERROR "Usage")
-    ELSE()
+  macro(YACC_TARGET Name YaccInput YaccOutput)
+    set(YACC_TARGET_output_header "")
+    set(YACC_TARGET_command_opt "")
+    set(YACC_TARGET_outputs "${YaccOutput}")
+    if(NOT ${ARGC} EQUAL 3 AND NOT ${ARGC} EQUAL 5 AND NOT ${ARGC} EQUAL 7)
+      message(SEND_ERROR "Usage")
+    else()
       # Parsing parameters
-      IF(${ARGC} GREATER 5 OR ${ARGC} EQUAL 5)
-        IF("${ARGV3}" STREQUAL "VERBOSE")
-          YACC_TARGET_option_verbose(${Name} ${YaccOutput} "${ARGV4}")
-        ENDIF()
-        IF("${ARGV3}" STREQUAL "COMPILE_FLAGS")
-          YACC_TARGET_option_extraopts("${ARGV4}")
-        ENDIF()
-      ENDIF()
+      if(${ARGC} GREATER 5 OR ${ARGC} EQUAL 5)
+        if("${ARGV3}" STREQUAL "VERBOSE")
+          yacc_target_option_verbose(${Name} ${YaccOutput} "${ARGV4}")
+        endif()
+        if("${ARGV3}" STREQUAL "COMPILE_FLAGS")
+          yacc_target_option_extraopts("${ARGV4}")
+        endif()
+      endif()
 
-      IF(${ARGC} EQUAL 7)
-        IF("${ARGV5}" STREQUAL "VERBOSE")
-          YACC_TARGET_option_verbose(${Name} ${YaccOutput} "${ARGV6}")
-        ENDIF()
+      if(${ARGC} EQUAL 7)
+        if("${ARGV5}" STREQUAL "VERBOSE")
+          yacc_target_option_verbose(${Name} ${YaccOutput} "${ARGV6}")
+        endif()
       
-        IF("${ARGV5}" STREQUAL "COMPILE_FLAGS")
-          YACC_TARGET_option_extraopts("${ARGV6}")
-        ENDIF()
-      ENDIF()
+        if("${ARGV5}" STREQUAL "COMPILE_FLAGS")
+          yacc_target_option_extraopts("${ARGV6}")
+        endif()
+      endif()
 
       # Header's name generated by yacc (see option -d)
-      LIST(APPEND YACC_TARGET_cmdopt "-d")
-      STRING(REGEX REPLACE "^(.*)(\\.[^.]*)$" "\\2" _fileext "${ARGV2}")
-      STRING(REPLACE "c" "h" _fileext ${_fileext})
-      STRING(REGEX REPLACE "^(.*)(\\.[^.]*)$" "\\1${_fileext}" 
+      list(APPEND YACC_TARGET_cmdopt "-d")
+      string(REGEX REPLACE "^(.*)(\\.[^.]*)$" "\\2" _fileext "${ARGV2}")
+      string(REPLACE "c" "h" _fileext ${_fileext})
+      string(REGEX REPLACE "^(.*)(\\.[^.]*)$" "\\1${_fileext}" 
           YACC_${Name}_OUTPUT_HEADER "${ARGV2}")
-      LIST(APPEND YACC_TARGET_outputs "${YACC_${Name}_OUTPUT_HEADER}")
+      list(APPEND YACC_TARGET_outputs "${YACC_${Name}_OUTPUT_HEADER}")
         
-      ADD_CUSTOM_COMMAND(OUTPUT ${YACC_TARGET_outputs}
+      add_custom_command(OUTPUT ${YACC_TARGET_outputs}
         ${YACC_TARGET_extraoutputs}
         COMMAND ${YACC_EXECUTABLE}
         ARGS ${YACC_TARGET_cmdopt} -o ${ARGV2} ${ARGV1}
@@ -146,20 +146,20 @@
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
     
       # define target variables
-      SET(YACC_${Name}_DEFINED TRUE)
-      SET(YACC_${Name}_INPUT ${ARGV1})
-      SET(YACC_${Name}_OUTPUTS ${YACC_TARGET_outputs})
-      SET(YACC_${Name}_COMPILE_FLAGS ${YACC_TARGET_cmdopt})
-      SET(YACC_${Name}_OUTPUT_SOURCE "${YaccOutput}")
+      set(YACC_${Name}_DEFINED TRUE)
+      set(YACC_${Name}_INPUT ${ARGV1})
+      set(YACC_${Name}_OUTPUTS ${YACC_TARGET_outputs})
+      set(YACC_${Name}_COMPILE_FLAGS ${YACC_TARGET_cmdopt})
+      set(YACC_${Name}_OUTPUT_SOURCE "${YaccOutput}")
 
-    ENDIF(NOT ${ARGC} EQUAL 3 AND NOT ${ARGC} EQUAL 5 AND NOT ${ARGC} EQUAL 7)
-  ENDMACRO(YACC_TARGET)
+    endif(NOT ${ARGC} EQUAL 3 AND NOT ${ARGC} EQUAL 5 AND NOT ${ARGC} EQUAL 7)
+  endmacro(YACC_TARGET)
   #
   #============================================================
 
-ENDIF(YACC_EXECUTABLE)
+endif(YACC_EXECUTABLE)
 
-INCLUDE(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(YACC DEFAULT_MSG YACC_EXECUTABLE)
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(YACC DEFAULT_MSG YACC_EXECUTABLE)
 
 # FindYACC.cmake ends here
Index: src/other/re2c/CMakeLists.txt
===================================================================
--- src/other/re2c/CMakeLists.txt	(revision 54114)
+++ src/other/re2c/CMakeLists.txt	(working copy)
@@ -1,11 +1,11 @@
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8)
 if(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
+  cmake_policy(SET CMP0003 NEW)
 endif(COMMAND CMAKE_POLICY)
 
 # Set CMake project name
-PROJECT(RE2C)
+project(RE2C)
 
 # Set project information
 set(PACKAGE re2c)
@@ -28,7 +28,7 @@
   include(${CMAKE_CURRENT_SOURCE_DIR}/CMake/LEMON_Util.cmake)
 endif(NOT COMMAND LEMON_TARGET)
 
-LEMON_TARGET(re2cParse parser.yy parser.cc parser_tokens.h)
+lemon_target(re2cParse parser.yy parser.cc parser_tokens.h)
 
 set(re2c_common_SRCS
   code.cc
@@ -59,27 +59,27 @@
 
 set(STDC_HEADERS 1)
 include(CheckIncludeFile)
-CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
-CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
-CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
-CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
+check_include_file(inttypes.h HAVE_INTTYPES_H)
+check_include_file(memory.h HAVE_MEMORY_H)
+check_include_file(stdbool.h HAVE_STDBOOL_H)
+check_include_file(stdint.h HAVE_STDINT_H)
+check_include_file(stdlib.h HAVE_STDLIB_H)
+check_include_file(string.h HAVE_STRING_H)
+check_include_file(strings.h HAVE_STRINGS_H)
+check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+check_include_file(unistd.h HAVE_UNISTD_H)
 include(CheckFunctionExists)
-CHECK_FUNCTION_EXISTS(memset HAVE_MEMSET)
-CHECK_FUNCTION_EXISTS(mmap HAVE_MMAP)
-CHECK_FUNCTION_EXISTS(munmap HAVE_MUNMAP)
-CHECK_FUNCTION_EXISTS(strdup HAVE_STRDUP)
-CHECK_FUNCTION_EXISTS(strndup HAVE_STRNDUP)
+check_function_exists(memset HAVE_MEMSET)
+check_function_exists(mmap HAVE_MMAP)
+check_function_exists(munmap HAVE_MUNMAP)
+check_function_exists(strdup HAVE_STRDUP)
+check_function_exists(strndup HAVE_STRNDUP)
 include(CheckTypeSize)
-CHECK_TYPE_SIZE(char SIZEOF_CHAR)
-CHECK_TYPE_SIZE(int SIZEOF_INT)
-CHECK_TYPE_SIZE(long SIZEOF_LONG)
-CHECK_TYPE_SIZE(short SIZEOF_SHORT)
+check_type_size(char SIZEOF_CHAR)
+check_type_size(int SIZEOF_INT)
+check_type_size(long SIZEOF_LONG)
+check_type_size(short SIZEOF_SHORT)
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 add_definitions(-DHAVE_CONFIG_H)
Index: src/other/libutahrle/CMake/UTAH_CheckFunctions.cmake
===================================================================
--- src/other/libutahrle/CMake/UTAH_CheckFunctions.cmake	(revision 54114)
+++ src/other/libutahrle/CMake/UTAH_CheckFunctions.cmake	(working copy)
@@ -1,13 +1,13 @@
-INCLUDE(CheckLibraryExists)
-INCLUDE(ResolveCompilerPaths)
+include(CheckLibraryExists)
+include(ResolveCompilerPaths)
 
-MACRO(UTAH_CHECK_LIBRARY targetname lname func)
-	IF(NOT ${targetname}_LIBRARY)
-		CHECK_LIBRARY_EXISTS(${lname} ${func} "" HAVE_${targetname}_${lname})
-		IF(HAVE_${targetname}_${lname})
-			RESOLVE_LIBRARIES (${targetname}_LIBRARY "-l${lname}")
-			SET(${targetname}_LINKOPT "-l${lname}" CACHE STRING "${targetname} link option")
-			MARK_AS_ADVANCED(${targetname}_LINKOPT)
-		ENDIF(HAVE_${targetname}_${lname})
-	ENDIF(NOT ${targetname}_LIBRARY)
-ENDMACRO(UTAH_CHECK_LIBRARY lname func)
+macro(UTAH_CHECK_LIBRARY targetname lname func)
+	if(NOT ${targetname}_LIBRARY)
+		check_library_exists(${lname} ${func} "" HAVE_${targetname}_${lname})
+		if(HAVE_${targetname}_${lname})
+			resolve_libraries (${targetname}_LIBRARY "-l${lname}")
+			set(${targetname}_LINKOPT "-l${lname}" CACHE STRING "${targetname} link option")
+			mark_as_advanced(${targetname}_LINKOPT)
+		endif(HAVE_${targetname}_${lname})
+	endif(NOT ${targetname}_LIBRARY)
+endmacro(UTAH_CHECK_LIBRARY lname func)
Index: src/other/libutahrle/CMakeLists.txt
===================================================================
--- src/other/libutahrle/CMakeLists.txt	(revision 54114)
+++ src/other/libutahrle/CMakeLists.txt	(working copy)
@@ -1,9 +1,9 @@
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
-INCLUDE(UTAH_CheckFunctions)
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/CMake")
+include(UTAH_CheckFunctions)
 
-IF(NOT WIN32)
-  UTAH_CHECK_LIBRARY(M m cos)
-ENDIF(NOT WIN32)
+if(NOT WIN32)
+  utah_check_library(M m cos)
+endif(NOT WIN32)
 
 include_directories(
   ${${CMAKE_PROJECT_NAME}_SOURCE_DIR}/include
@@ -11,7 +11,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}
   )
 
-SET(LIBUTAHRLE_PUBLIC_HDRS
+set(LIBUTAHRLE_PUBLIC_HDRS
   ${CMAKE_CURRENT_SOURCE_DIR}/include/exit_status.h
   ${CMAKE_CURRENT_SOURCE_DIR}/include/pyramid.h
   ${CMAKE_CURRENT_SOURCE_DIR}/include/rle.h
@@ -21,11 +21,11 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/include/rle_raw.h
   )
 
-SET(LIBUTAHRLE_PRIVATE_HDRS
+set(LIBUTAHRLE_PRIVATE_HDRS
   ${CMAKE_CURRENT_SOURCE_DIR}/include/colorquant.h
   )
 
-SET(LIBUTAHRLE_SOURCES
+set(LIBUTAHRLE_SOURCES
   Runput.c
   buildmap.c
   cmd_name.c
@@ -54,18 +54,18 @@
   vaxshort.c
   )
 
-IF(MSVC)
+if(MSVC)
   add_definitions(
     -DRLE_DLL_EXPORTS
     -DNO_DECLARE_MALLOC
     -DNEED_BSTRING
     -DNO_OPEN_PIPES
     )
-ENDIF(MSVC)
+endif(MSVC)
 
 add_library(utahrle SHARED ${LIBUTAHRLE_SOURCES})
 target_link_libraries(utahrle ${M_LIBRARY})
-SET_TARGET_PROPERTIES(utahrle PROPERTIES VERSION 19.0.1 SOVERSION 19)
+set_target_properties(utahrle PROPERTIES VERSION 19.0.1 SOVERSION 19)
 install(TARGETS utahrle
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
@@ -76,11 +76,11 @@
 	RUNTIME DESTINATION ${BIN_DIR}
 	LIBRARY DESTINATION ${LIB_DIR}
 	ARCHIVE DESTINATION ${LIB_DIR})
-IF(NOT WIN32)
-  SET_TARGET_PROPERTIES(utahrle-static PROPERTIES OUTPUT_NAME "utahrle")
-ENDIF(NOT WIN32)
+if(NOT WIN32)
+  set_target_properties(utahrle-static PROPERTIES OUTPUT_NAME "utahrle")
+endif(NOT WIN32)
 
-SET(LIBUTAHRLE_MAN3
+set(LIBUTAHRLE_MAN3
   buildmap.3
   bwdithermap.3
   colorquant.3
@@ -128,12 +128,12 @@
   rle_skiprow.3
   scanargs.3
   )
-IF(NOT MAN_DIR)
-  SET(MAN_DIR "share/man")
-ENDIF(NOT MAN_DIR)
+if(NOT MAN_DIR)
+  set(MAN_DIR "share/man")
+endif(NOT MAN_DIR)
 
 if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
   install(FILES ${LIBUTAHRLE_MAN3} DESTINATION ${MAN_DIR}/man3)
   install(FILES rle.5 DESTINATION ${MAN_DIR}/man5)
-  INSTALL(FILES ${LIBUTAHRLE_PUBLIC_HDRS} DESTINATION include)
+  install(FILES ${LIBUTAHRLE_PUBLIC_HDRS} DESTINATION include)
 endif()
Index: src/other/URToolkit/man/CMakeLists.txt
===================================================================
--- src/other/URToolkit/man/CMakeLists.txt	(revision 54114)
+++ src/other/URToolkit/man/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
 
-SET(URT_MANS
+set(URT_MANS
 	aliastorle.1
 	applymap.1
 	avg4.1
Index: src/other/URToolkit/CMakeLists.txt
===================================================================
--- src/other/URToolkit/CMakeLists.txt	(revision 54114)
+++ src/other/URToolkit/CMakeLists.txt	(working copy)
@@ -1,12 +1,12 @@
-IF(NOT MSVC)
-  MACRO(URT_EXEC execname srcs)
-    STRING(REGEX REPLACE " " ";" srcslist "${srcs}")
+if(NOT MSVC)
+  macro(URT_EXEC execname srcs)
+    string(REGEX REPLACE " " ";" srcslist "${srcs}")
     add_executable(${execname} ${srcslist})
     target_link_libraries(${execname} ${UTAHRLE_LIBRARY})
-    INSTALL(TARGETS ${execname} RUNTIME DESTINATION bin)
-  ENDMACRO()
+    install(TARGETS ${execname} RUNTIME DESTINATION bin)
+  endmacro()
 
-  ADD_SUBDIRECTORY(cnv)
-  ADD_SUBDIRECTORY(man)
-  ADD_SUBDIRECTORY(tools)
-ENDIF(NOT MSVC)
+  add_subdirectory(cnv)
+  add_subdirectory(man)
+  add_subdirectory(tools)
+endif(NOT MSVC)
Index: src/other/URToolkit/tools/clock/CMakeLists.txt
===================================================================
--- src/other/URToolkit/tools/clock/CMakeLists.txt	(revision 54114)
+++ src/other/URToolkit/tools/clock/CMakeLists.txt	(working copy)
@@ -3,7 +3,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 	)
 
-IF(SH_EXEC)
+if(SH_EXEC)
 
 	#ADD_CUSTOM_COMMAND(
 	#		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/font.c
@@ -14,10 +14,10 @@
 
 	#The font file is supposed to be generated, and the above code will do so, but it appears the makeFont
 	#script has some sort of issue, at least on OSX - font.c has been checked in to the repository.  Go with that for now.
-	URT_EXEC(rleClock "rleClock.c font.c")
+	urt_exec(rleClock "rleClock.c font.c")
 
-ELSE(SH_EXEC)
+else(SH_EXEC)
 
-	URT_EXEC(rleClock "rleClock.c font.c")
+	urt_exec(rleClock "rleClock.c font.c")
 
-ENDIF(SH_EXEC)
+endif(SH_EXEC)
